<?php
class Search_LinkAR extends netsControl {
	public function Search_LinkAR(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
?>
<!-- #<?php echo ($tmpControl); ?> -->
<div id="<?php echo ($tmpControl); ?>PanelBox" class="SearchCell_Link">
<!--S.<?php echo ($tmpControl); ?>-->
<div id="<?php echo ($tmpControl); ?>_Label" class="SearchTitle_Link"><?php echo ($pColumn['stcoctUiName']); ?>：&nbsp;</div>
<div class="SearchControl_Link">
<?php
$Coun0=0;
foreach ($pColumn['Option'] as $Option){
	$tmpStyle='FBlack2';
	if($pColumn['Value']==$Option['Value']){
		$tmpStyle='tile_Blue';
	}
	?>
<a href="<?php echo(str_replace('{Nets.Value}',$Option['Value'],$pColumn['Parameter'])); ?>"
onclick="<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
style="<?php echo ($pColumn['ControlStyle']); ?>"
class="Link2 <?php echo($tmpStyle); ?>"><?php echo ($Option['Text']); ?></a>
<?php $Coun0++; } ?>
<input id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" type="hidden" value="<?php echo ($pColumn['Value']); ?>" /></div>
<!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></div>
<?php
	}
}
?>